Bug 919648 - (CVE-2013-1838) CVE-2013-1838 Openstack Nova: DoS by allocating all Fixed IPs
CVE-2013-1838 Openstack Nova: DoS by allocating all Fixed IPs
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130314,reported=2...
: Security
Depends On: 919650 919651
Blocks: 919649 921759
  Show dependency treegraph
 
Reported: 2013-03-09 02:07 EST by Kurt Seifried
Modified: 2016-04-26 16:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 16:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
CVE-2013-1838-essex.patch (8.65 KB, patch)
2013-03-09 02:09 EST, Kurt Seifried
no flags Details | Diff
CVE-2013-1838-folsom.patch (21.38 KB, patch)
2013-03-09 02:09 EST, Kurt Seifried
no flags Details | Diff
CVE-2013-1838-grizzly.patch (41.97 KB, patch)
2013-03-09 02:09 EST, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-03-09 02:07:33 EST
Russel Bryant (rbryant@redhat.com) reports:


Title: DoS by allocating all Fixed IPs
Impact: Medium
Reporter: Vish Ishaya (Nebula)
Products: Nova
Affects: All versions

Description:
Vish Ishaya reported a vulnerability in Nova where there is no quota
for Fixed IPs. Previously the instance quota acted as a proxy for
a Fixed IP quota, but if your configuration allows an instance to
consume more than one Fixed IP via an extension such as multinic
then this is no longer true. Running out of Fixed IPs would result in
not being able to spawn new instances.

Proposed patches:
See attached patches. Unless a flaw is discovered in them, these
patches will be merged to Nova master (Grizzly), stable/folsom,
and stable/essex branches on the public disclosure date.
Comment 2 Kurt Seifried 2013-03-09 02:09:14 EST
Created attachment 707322 [details]
CVE-2013-1838-essex.patch
Comment 3 Kurt Seifried 2013-03-09 02:09:32 EST
Created attachment 707323 [details]
CVE-2013-1838-folsom.patch
Comment 4 Kurt Seifried 2013-03-09 02:09:48 EST
Created attachment 707324 [details]
CVE-2013-1838-grizzly.patch
Comment 9 Murray McAllister 2013-03-26 23:32:49 EDT
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Vish Ishaya (Nebula) as the original reporter.
Comment 10 errata-xmlrpc 2013-04-04 16:21:58 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0709 https://rhn.redhat.com/errata/RHSA-2013-0709.html

Note You need to log in before you can comment on or make changes to this bug.